Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_FileCharStream Class Reference

An implementation of ACEXML_CharStream for reading input from a file. More...

`#include "ACEXML/common/FileCharStream.h"`

Inheritance diagram for ACEXML_FileCharStream:

[legend]
Collaboration diagram for ACEXML_FileCharStream:

[legend]
List of all members.

## Public Methods
| ACEXML_FileCharStream (void)
| Default constructor. More...
virtual | ~ACEXML_FileCharStream (void)
| Destructor. More...
int | open (const ACEXML_Char *name)
| Open a file. More...
virtual int | available (void)
| Returns the available ACEXML_Char in the buffer. More...
virtual int | close (void)
| Close this stream and release all resources used by it. More...
virtual int | get (ACEXML_Char &ch)
| Read the next ACEXML_Char. More...
virtual int | read (ACEXML_Char *str, size_t len)
| Read the next batch of ACEXML_Char strings. More...
virtual int | peek (void)
| Peek the next ACEXML_Char in the CharStream. More...
## Private Attributes
ACEXML_Char * | filename_
off_t | size_
FILE * | infile_

## Detailed Description

An implementation of ACEXML_CharStream for reading input from a file.

## Constructor & Destructor Documentation

ACEXML_FileCharStream::ACEXML_FileCharStream | ( | void |  | ) |

| Default constructor.

ACEXML_FileCharStream::~ACEXML_FileCharStream | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACEXML_FileCharStream::available | ( | void |  | ) | `[virtual]`

| Returns the available ACEXML_Char in the buffer. -1 if the object is not initialized properly. Reimplemented from ACEXML_CharStream.

int ACEXML_FileCharStream::close | ( | void |  | ) | `[virtual]`

| Close this stream and release all resources used by it. Reimplemented from ACEXML_CharStream.

int ACEXML_FileCharStream::get | ( | ACEXML_Char & | ch | ) | `[virtual]`

| Read the next ACEXML_Char. Return -1 if we are not able to return an ACEXML_Char, 0 if EOS is reached, or 1 if succeed. Reimplemented from ACEXML_CharStream.

int ACEXML_FileCharStream::open | ( | const ACEXML_Char * | name | ) |

| Open a file.

int ACEXML_FileCharStream::peek | ( | void |  | ) | `[virtual]`

| Peek the next ACEXML_Char in the CharStream. Return the character if succeess, -1 if EOS is reached. Reimplemented from ACEXML_CharStream.

int ACEXML_FileCharStream::read | ( | ACEXML_Char * | str,
|  | size_t | len
| ) | `[virtual]`

| Read the next batch of ACEXML_Char strings. Reimplemented from ACEXML_CharStream.

## Member Data Documentation

ACEXML_Char* ACEXML_FileCharStream::filename_`[private]`

FILE* ACEXML_FileCharStream::infile_`[private]`

off_t ACEXML_FileCharStream::size_`[private]`

The documentation for this class was generated from the following files:

- FileCharStream.h
- FileCharStream.cpp